#!/bin/ruby

Gem::Specification.new do |s|
  s.name = File.basename(__FILE__, ".gemspec")
  s.version = File.read("VERSION")
  
  s.author = "Ryan Lewis"
  s.email = "c00lryguy@gmail.com"
  
  s.description = "Easy for making todo lists and installation notes for you projects."
  s.summary = "Easily serve Markdown files."
  
  s.files = [File.basename(__FILE__)] + Dir['lib/**/*'] + Dir['bin/**/*'] + Dir['test/**/*'] + Dir['examples/**/*']
  
  # Add files here!
  %W{Gemfile.lock README.* README Rakefile VERSION *.thor LICENSE LICENSE.*}.each do |file|
    s.files.unshift(file) if File.exists?(file)
  end
  
  # Add rdoc files here!
  %W{README.* README VERSION LICENSE LICENSE.*}.each do |file|
    s.extra_rdoc_files ||= []
    s.extra_rdoc_files.unshift(file) if File.exists?(file)
  end
  
  # If you only specify one application file in executables, that file becomes 
  # the default executable. Therefore, you only need to specify this value if you 
  # have more than one application file.
  if s.executables.length > 1
    if exe = executable.find { |e| e.include?(File.basename(__FILE__, ".gemspec")) }
      s.default_executable = exe
    else
      raise(Exception, "Couldn't automatically figure out the default_executable")
    end
  end
  
  s.test_files = Dir['test/**/*'] + Dir['examples/**/*']
  
  s.homepage = "http://github.com/c00lryguy/markdown_server"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  
  # Add dependencies here:
  # This is required for your gem to work:
  # s.add_dependency("some_required_gem", "~> 0.1.0")
  # This is required for developers to build and test your gem:
  # s.add_development_dependency("some_development_gem", "~> 0.1.0")
  
  s.add_dependency("slop", "~> 1.6.0")
  s.add_dependency("sinatra", "~> 1.2.6") # Sinatra depends on Tilt so we're all good.
end
  
# Now run the following commands or equivalent actions:
# 
#   $ touch Gemfile
#   $ echo -e "source :rubygems\ngemspec" > Gemfile
# 
# This makes Bundler pull in this gemspec's dependencies so you don't have
# to write them twice. Development dependencies are grouped under :development.
# 
#   $ bundle install
